/*
 * This source file is part of the Atlantis Little Helper program.
 * Copyright (C) 2001 Maxim Shariy.
 *
 * Atlantis Little Helper is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Atlantis Little Helper is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Atlantis Little Helper; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __CONSTANTS_FOR_US__
#define __CONSTANTS_FOR_US__

typedef struct 
{
    const char * szSection;
    const char * szName;
    const char * szValue;
} DefaultConfigRec;

extern DefaultConfigRec DefaultConfig[];  
extern int              DefaultConfigSize;

#define AH_VERSION                  "1.1.6"
#define AH_VERSION_2                "2.2.1"

enum
{
    // main menu
    menu_LoadReport    = 1  ,
    menu_JoinReport         ,
    menu_LoadOrders         ,
    menu_SaveOrders         ,
    menu_SaveOrdersAs       ,
    menu_Quit               ,
    menu_QuitNoSave         ,
    menu_Options            ,
    menu_ViewSkillsAll      ,
    menu_ViewSkillsNew      ,
    menu_ViewItemsAll       ,
    menu_ViewItemsNew       ,
    menu_ViewObjectsAll     ,
    menu_ViewObjectsNew     ,
    menu_ViewBattlesAll     ,
    menu_ViewEvents         ,
    menu_ViewErrors         ,
    menu_ViewGates          ,
    menu_ViewFactionInfo    ,
    menu_ViewFactionOverview,
    menu_WindowUnits        ,
    menu_WindowMessages     ,
    menu_WindowEditors      ,
    menu_WindowUnitsFltr    ,
    menu_ListColUnits       ,
    menu_ListColUnitsFltr   ,
    menu_ListColumns        ,
    menu_ApplyDefaultOrders ,
    menu_WriteMagesCSV      ,
    menu_CheckMonthLongOrd  ,
    menu_CheckTaxTrade      ,
    menu_ExportHexes        ,
    menu_About              ,

    // map popup menu
    menu_Popup_Flag         ,
    menu_Popup_Center       ,
    menu_Popup_ShareSilv    ,
    menu_Popup_Teach        ,
    menu_Popup_DiscardJunk  ,
    menu_Popup_DetectSpies  ,
    menu_Popup_Filter       ,
    menu_Popup_SetSort      ,
    menu_Popup_Battles      ,
    menu_Popup_GiveEverything,
    menu_Popup_AddToTracking,


    // toolbar. order corresponds to one used in CMapFrame::MakeToolBar()

    tool_zoomin             ,
    tool_zoomout            ,
    tool_centerout          ,
    tool_prevzoom           ,
    tool_showcoord          ,
    tool_planeup            ,
    tool_planedwn           ,
    tool_lastvisitturn      ,
    tool_prevturn           ,
    tool_nextturn           ,
    tool_lastturn           ,


    // other
    list_units_hex          ,
    list_units_hex_fltr
};

#if defined(_WIN32)
  #define SZ_REP_FILES              "Report (*.rep)|*.rep|Report (*.atl)|*.atl|Text (*.txt)|*.txt|All|*.*||"
  #define SZ_ORD_FILES              "Order (*.ord)|*.ord|Text (*.txt)|*.txt|All|*.*||"
  #define SZ_CSV_FILES              "Comma Separated (*.csv)|*.csv|All|*.*||"
  #define SZ_ALL_FILES              "All|*.*||"
#else
  #define SZ_REP_FILES              "Report (*.rep)|*.rep|Report (*.atl)|*.atl|Text (*.txt)|*.txt|All|*||"
  #define SZ_ORD_FILES              "Order (*.ord)|*.ord|Text (*.txt)|*.txt|All|*||"
  #define SZ_CSV_FILES              "Comma Separated (*.csv)|*.csv|All|*||"
  #define SZ_ALL_FILES              "All|*||"
#endif

#define SZ_CB_DATA_FILES            "Text (*.txt)|*.txt|All|*.*||"
#define SZ_CONFIG_FILE              "ah.cfg"
#define SZ_CONFIG_STATE_FILE        "ah.st.cfg"
#define SZ_HISTORY_FILE             "ah.his"
                                
#define SZ_EOL_MS                   "MS"                                
#define SZ_EOL_UNIX                 "UNIX"                                
        

// config sections                        
#define SZ_SECT_COLORS              "COLORS" 
#define SZ_SECT_COMMON              "COMMON" 
#define SZ_SECT_FONTS               "FONTS"
#define SZ_SECT_FONTS_2             "FONTS_2"
#define SZ_SECT_UNITLIST_HDR        "UNIT_LIST_HDR"
#define SZ_SECT_UNITLIST_HDR_FLTR   "UNIT_LIST_HDR_FLTR"
#define SZ_SECT_UNITPROP_GROUPS     "UNIT_PROPERTY_GROUPS"
#define SZ_SECT_STUDY_COST          "STUDYING_COST" 
#define SZ_SECT_ALIAS               "ALIASES" 
#define SZ_SECT_STRUCTS             "STRUCTURES"
#define SZ_SECT_MAP_PANE            "PANE_MAP"
#define SZ_SECT_WEIGHT_MOVE         "WEIGHTS_CAPACITIES"
#define SZ_SECT_WND_MAP_2_WIN       "WINDOW_MAP" 
#define SZ_SECT_WND_MAP_3_WIN       "WINDOW_MAP_1" 
#define SZ_SECT_WND_UNITS_2_WIN     "WINDOW_UNITS"
#define SZ_SECT_WND_UNITS_3_WIN     "WINDOW_UNITS_1"
#define SZ_SECT_WND_UNITS_FLTR      "WINDOW_UNITS_FLTR"
#define SZ_SECT_WND_EDITS_2_WIN     "WINDOW_EDITORS"
#define SZ_SECT_WND_EDITS_3_WIN     "WINDOW_EDITORS_1"
#define SZ_SECT_WND_MSG             "WINDOW_MESSAGES" 
#define SZ_SECT_WND_DESCR_ONE       "WINDOW_DESCRIPTION_ONE"
#define SZ_SECT_WND_DESCR_LIST      "WINDOW_DESCRIPTION_LIST"
#define SZ_SECT_WND_EXP_MAGES_CSV   "WINDOW_EXPORT_MAGES_CSV"
#define SZ_SECT_WND_EXP_HEXES       "WINDOW_EXPORT_HEXES_DLG"
#define SZ_SECT_WND_UNITS_FLTR_DLG  "WINDOW_UNITS_FLTR_DLG"
#define SZ_SECT_WND_LST_COLEDIT_DLG "WINDOW_LIST_COL_EDIT_DLG"
#define SZ_SECT_WND_OPTIONS_DLG     "WINDOW_OPTIONS"

#define SZ_SECT_LIST_COL_CURRENT    "LIST_COL_CUR_SET"
#define SZ_SECT_LIST_COL_UNIT       "LIST_COL_UNIT_"
#define SZ_SECT_LIST_COL_UNIT_DEF      "LIST_COL_UNIT_DEFAULT"
#define SZ_SECT_LIST_COL_UNIT_FLTR_DEF "LIST_COL_UNIT_DEFAULT_FLTR"

#define SZ_SECT_UNIT_FILTER         "UNIT_FLTR_"


// config state sections
#define SZ_SECT_DEF_ORDERS          "DEFAULT_ORDERS"  
#define SZ_SECT_ORDERS              "ORDER_FILES"
#define SZ_SECT_REPORTS             "REPORT_FILES"
#define SZ_SECT_LAND_FLAGS          "LAND_FLAGS"
#define SZ_SECT_LAND_VISITED        "LAND_LAST_VISITED"
#define SZ_SECT_SKILLS              "SKILL_DESCRIPTIONS"
#define SZ_SECT_ITEMS               "ITEM_DESCRIPTIONS"
#define SZ_SECT_OBJECTS             "OBJECT_DESCRIPTIONS"
#define SZ_SECT_PASSWORDS           "PASSWORDS"
#define SZ_SECT_UNIT_TRACKING       "UNIT_TRACKING_GROUPS"

// for 1.0 compatibility
#define SZ_SECT_WND_MAP             SZ_SECT_WND_MAP_2_WIN   
#define SZ_SECT_WND_UNITS           SZ_SECT_WND_UNITS_2_WIN 

             



                   
#define SZ_KEY_Y1                   "WIN_TOP" 
#define SZ_KEY_Y2                   "WIN_BOTTOM" 
#define SZ_KEY_X1                   "WIN_LEFT" 
#define SZ_KEY_X2                   "WIN_RIGHT" 
#define SZ_KEY_HEIGHT_0             "HEIGHT_0"
#define SZ_KEY_HEIGHT_1             "HEIGHT_1"
#define SZ_KEY_HEIGHT_2             "HEIGHT_2"
#define SZ_KEY_WIDTH_0              "WIDTH_0"
#define SZ_KEY_HEX_SIZE             "HEX_SIZE"
#define SZ_KEY_HEX_SIZE_OLD         "HEX_SIZE_OLD"
#define SZ_KEY_ATLA_X0              "ATLA_LEFT"
#define SZ_KEY_ATLA_Y0              "ATLA_TOP"
#define SZ_KEY_HEX_SEL_X            "HEX_SELECTED_X"
#define SZ_KEY_HEX_SEL_Y            "HEX_SELECTED_Y"
#define SZ_KEY_STATE                "SHOW_STATE" 
#define SZ_KEY_PLANE_SEL            "PLANE_SELECTED"
#define SZ_KEY_OPEN                 "IS_OPEN"
#define SZ_KEY_LOAD_ORDER           "LOAD_ORDERS"
#define SZ_KEY_LOAD_REP             "LOAD_REPORT"
#define SZ_KEY_EOL                  "EOL"
#define SZ_KEY_PWD_OLD              "PASSWORD" 
#define SZ_KEY_HATCH_UNVISITED      "HATCH_UNVISITED"
#define SZ_KEY_SORT1                "SORT_PRIMARY"
#define SZ_KEY_SORT2                "SORT_SECONDARY"
#define SZ_KEY_RCLICK_CENTERS       "RCLICK_CENTERS"
#define SZ_KEY_DEFAULT_EMPTY_ONLY   "DEFAULT_EMPTY_ONLY"
#define SZ_KEY_REP_CACHE_COUNT      "REPORT_CACHE_MAX"
#define SZ_KEY_MIN_SEL_MEN          "MEN_THRESHOLD"
#define SZ_KEY_BRIGHT_DELTA         "BRIGHTNESS_DELTA"
#define SZ_KEY_DECORATE_ORDERS      "DECORATE_ORDERS"
#define SZ_KEY_LAYOUT               "LAYOUT"
#define SZ_KEY_CHECK_TEACH_LVL      "CHECK_TEACH_LEVEL"
#define SZ_KEY_MAX_SKILL_DAYS       "MAX_SKILL_DAYS"
#define SZ_KEY_CHECK_OUTPUT_LIST    "CHECK_OUTPUT_LIST"
#define SZ_KEY_PWD_READ             "READ_PWD_FROM_REP" 
#define SZ_KEY_VALID_ORDERS         "VALID_ORDERS"
#define SZ_KEY_DASH_BAD_ROADS       "DASH_BAD_ROADS"

#define SZ_KEY_COLOR_RED            "COLOR_RED"
#define SZ_KEY_COLOR_BLACK          "COLOR_BLACK"
#define SZ_KEY_MAP_GRID             "GRID_NORMAL"
#define SZ_KEY_MAP_GRID_SEL         "GRID_SELECTED"
#define SZ_KEY_MAP_ROAD             "MAP_ROADS"
#define SZ_KEY_MAP_ROAD_BAD         "MAP_ROADS_BAD"
#define SZ_KEY_MAP_UNKNOWN          "UNKNOWN"
#define SZ_KEY_MAP_DESERT           "DESERT"
#define SZ_KEY_MAP_FOREST           "FOREST"
#define SZ_KEY_MAP_JUNGLE           "JUNGLE"
#define SZ_KEY_MAP_MOUNTAIN         "MOUNTAIN"
#define SZ_KEY_MAP_OCEAN            "OCEAN"
#define SZ_KEY_MAP_PLAINS           "PLAIN"
#define SZ_KEY_MAP_SWAMP            "SWAMP"
#define SZ_KEY_MAP_TUNDRA           "TUNDRA"
#define SZ_KEY_MAP_NEXUS            "NEXUS"
#define SZ_KEY_MAP_CAVERN           "CAVERN"
#define SZ_KEY_MAP_TUNNELS          "TUNNELS"
#define SZ_KEY_MAP_UNDERFOREST      "UNDERFOREST"
#define SZ_KEY_MAP_FLAG_1           "FLAG_1"
#define SZ_KEY_MAP_FLAG_2           "FLAG_2"
#define SZ_KEY_MAP_FLAG_3           "FLAG_3"

#define SZ_KEY_SPY_DETECT_LO        "SPY_DETECT_LOW"
#define SZ_KEY_SPY_DETECT_HI        "SPY_DETECT_HIGH"
#define SZ_KEY_SPY_DETECT_AMT       "SPY_DETECT_AMOUNT"

#define SZ_KEY_HEX_SIZE_LIST        "HEX_SIZE_LIST"
#define SZ_KEY_SHOW_TRACKS          "SHOW_TRACKS"
#define SZ_KEY_WALL_WIDTH           "WALL_WIDTH"
#define SZ_KEY_FLAG_WIDTH           "FLAG_WIDTH"
#define SZ_KEY_ROAD_WIDTH           "ROAD_WIDTH"

#define SZ_KEY_UNIT_FLTR_PROPERTY   "UNIT_FLTR_PROPERTY_"
#define SZ_KEY_UNIT_FLTR_COMPARE    "UNIT_FLTR_COMPARE_"
#define SZ_KEY_UNIT_FLTR_VALUE      "UNIT_FLTR_VALUE_"
#define SZ_KEY_UNIT_FLTR_TRACKING   "UNIT_FLTR_TRACKING"

#define SZ_KEY_MOVEMENTS            "MOVEMENT_MODES"
#define SZ_KEY_ORD_MONTH_LONG       "MONTH_LONG_ORDERS" 
#define SZ_KEY_ORD_DUPLICATABLE     "MONTH_LONG_DUP_ORD" 

#define SZ_KEY_SEPARATOR            "SEPARATOR"
#define SZ_KEY_ORIENTATION          "ORIENTATION"

#define SZ_KEY_LIS_COL_UNITS_HEX    "UNITS_HEX" 
#define SZ_KEY_LIS_COL_UNITS_FILTER "UNITS_FILTER" 

#define SZ_KEY_FLTR_SET             "FILTER_SET"

#define SZ_VERTICAL                 "Vertical"
#define SZ_HORIZONTAL               "Horizontal" 

#define SZ_ATTR_STRUCT_HIDDEN       "HIDDEN" 
#define SZ_ATTR_STRUCT_MOBILE       "MOBILE" 
#define SZ_ATTR_STRUCT_SHAFT        "SHAFT" 
#define SZ_ATTR_STRUCT_GATE         "GATE" 
#define SZ_ATTR_STRUCT_ROAD_N       "ROAD_N"
#define SZ_ATTR_STRUCT_ROAD_NE      "ROAD_NE"
#define SZ_ATTR_STRUCT_ROAD_SE      "ROAD_SE"
#define SZ_ATTR_STRUCT_ROAD_S       "ROAD_S"
#define SZ_ATTR_STRUCT_ROAD_SW      "ROAD_SW"
#define SZ_ATTR_STRUCT_ROAD_NW      "ROAD_NW"
                                     
#define SZ_DEFAULT_FONT_PROP        "9,77,90,90,1,arial"
#define SZ_DEFAULT_FONT_MONO        "10,77,90,90,1,courier new"

#endif


